For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETList block trades
        • POSTCreate block trade
        • GETGet block trade
        • DELCancel block trade
        • POSTExecute block trade
        • GETGet block trade offers
        • POSTCreate block trade offer
        • GETGet specific block trade offer
        • DELCancel block trade offer
        • POSTExecute individual offer
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceBlock Trades

Cancel block trade

DELETE
https://api.testnet.paradex.trade/v1/block-trades/:block_trade_id
DELETE
/v1/block-trades/:block_trade_id
$curl -X DELETE https://api.testnet.paradex.trade/v1/block-trades/block_trade_id \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "message": "Block trade 3fa85f64-5717-4562-b3fc-2c963f66afa6 has been successfully cancelled.",
3 "status": "CANCELLED"
4}

Cancel a pending block trade.

Only the initiator can cancel a block trade in cancellable state (CREATED, OFFER_COLLECTION, READY_TO_EXECUTE). Once cancelled,all associated offers become invalid.

Returns: Success message confirming cancellation. Status updated to CANCELLED.

Was this page helpful?
Previous

Execute block trade

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

block_trade_idstringRequired
Block Trade ID

Response

OK

Errors

400
Bad Request Error